Filewatcher File Search File Search
Catalog
Content Search
» » » » » libgnomepanel2.24-cil_2.26.0-3+b1_i386.deb » Content »
pkg://libgnomepanel2.24-cil_2.26.0-3+b1_i386.deb:23890/usr/share/doc/libgnomepanel2.24-cil/  info  control  downloads

libgnomepanel2.24-cil - CLI binding for GNOME Panel 2.24…  more info»

changelog.Debian.gz

gnome-desktop-sharp2 (2.26.0-3+b1) unstable; urgency=low

  * Binary-only non-maintainer upload for i386; no source changes.
  * Rebuild for gtkhtml3.14 / evolution transition

 -- i386 Build Daemon (murphy) <buildd_i386-murphy@buildd.debian.org>  Tue, 18 May 2010 12:48:37 +0000

gnome-desktop-sharp2 (2.26.0-3) unstable; urgency=low

  * debian/patches/04_gnome_desktop_2_soname.patch: Add new patch to update
    the DLLmap to libgnome-desktop's new SONAME
  * debian/source/format: Specify 1.0 explicitly
  * debian/control: Increase Standards-Version to 3.8.4, no changes

 -- Iain Lane <laney@ubuntu.com>  Thu, 29 Apr 2010 23:29:47 +0100

gnome-desktop-sharp2 (2.26.0-2) unstable; urgency=low

  [ Jo Shields ]
  * debian/lib*.install,
    debian/control:
    + Add new unversioned and API-versioned -dev packages containing pkg-config 
      and gapi files
  * debian/rules,
    debian/*.links:
    + Stop renaming and moving pkg-config files from upstream names, since
      we can better control the ABI question with -dev packages and it 
      doesn't make things any easier for users
  * debian/libgnomeprint*,
    debian/control:
    + Kill libgnomeprint-cil (Closes: #542560)
  * debian/control:
    + Use mono-devel 2.4.3 and eliminate individual mono library build-depends
    + Use unversioned -dev packages for GNOME# and Gtk#
    + Add a Conflicts: to libgnome-cil (Closes: #525809)
    + Explicitly add Depends: for -dev packages to pull in their pcfile's 
      Requires: lines (Closes: #521118)

  [ Christopher James Halse Rogers ]
  * debian/ltmain-add-as-needed.patch
    + Add --as-needed magic to ltmain.sh
  * debian/rules:
    + Apply ltmain-add-as-needed.patch after running autoreconf.  This should
      be more robust than copying a patched ltmain.sh from debian/ as ltmain.sh
      is required to be versioned in lock-step with the rest of libtool.      

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 07 Jan 2010 20:00:02 +1100

gnome-desktop-sharp2 (2.26.0-1) unstable; urgency=low

  * New upstream release
  * debian/libnautilusburn2.20-cil.*,
    debian/control:
    + Remove libnautilusburn2.20-cil and build-deps, obsoleted in GNOME 
    + Add myself to Uploaders
  * debian/patches/01_dllmaps.dpatch:
    + Refresh to remove nautilusburn reference and SONAME change
  * debian/rules:
    + Add a get-orig-source rule
    + Bump API version to 2.26
    + Stop renaming the nautilusburn pcfile
  * debian/rules,
    debian/control:
    + Switch compiler to mono-csc for Mono 2.4.2 transition
    + Ensure minimum mono-devel version is 2.4.2
  * debian/control:
    + Update to Standards 3.8.3 (no changes)
    + Fix spelling error Gnome -> GNOME
    + Change section to cli-mono to appease Debian overlords
  * debian/changelog:
    + Change encoding to UTF-8
  * debian/copyright:
    + Update FSF address
  * debian/watch:
    + Remove troublesome uupdate command
  * debian/patches/02_gtkhtml-version.dpatch,
    debian/patches/03_fix_pkg-config_paths.dpatch,
    debian/patches/01_dllmaps.dpatch:
    + Ensure patches all carry a valid description
  * debian/README.source:
    + Include a pointer to dpatch docs

 -- Jo Shields <directhex@apebox.org>  Fri, 25 Sep 2009 22:50:38 +0100

gnome-desktop-sharp2 (2.24.0-5) unstable; urgency=low

  * debian/patches/03_fix_pkg-config_paths.dpatch:
    + Fix library path of rsvg2-sharp-2.18.
    + Replaced idiotic prefix ${pcfiledir}/../.. with @prefix@.

 -- Mirco Bauer <meebey@debian.org>  Thu, 21 May 2009 21:28:27 +0200

gnome-desktop-sharp2 (2.24.0-4) unstable; urgency=low

  * debian/patches/03_fix_pkg-config_paths.dpatch:
    + Fix library path of gtkhtml-sharp-3.16.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 May 2009 09:03:25 +0200

gnome-desktop-sharp2 (2.24.0-3) unstable; urgency=low

  * debian/rules:
    + Added missing dh_installcligac calls, caused that the assemblies were
      not installed into the (Mono) GAC. (Closes: #524856)
    + Added dh_clistrip calls.
  * debian/control:
    + Bumped cli-common-dev build-dep to >= 0.5.4, as we are using dh_clistrip
      of it now.

 -- Mirco Bauer <meebey@debian.org>  Sun, 19 Apr 2009 20:37:23 +0200

gnome-desktop-sharp2 (2.24.0-2) unstable; urgency=low

  * Upload to unstable
  * debian/*.install
    debian/*.installcligac:
    + Use late-GAC install now for all libraries as per Debian CLI Policy and
      with that the new locations (/usr/lib/cli instead of /usr/lib/mono).
      This allows us to install multiple versions of a library at the same
      time when an ABI bump was done.
  * debian/*.links:
    + Added unversioned symlinks for all pkg-config files are defined in the
      Debian CLI Policy 3.2.4.
  * debian/control:
    + Use multiple lines for build-deps.
    + Added libgnomeprintui2.2-dev to build-deps.
    + Fixed some descriptions.
    + Bumped Standards-Version to 3.8.1 (no changes needed)
    + Bumped debhelper build-dep to >= 7.
  * debian/rules:
    + Fixed clean target dependencies, unpatch has to be done after
      "make distclean", not before (else it will re-configure).
    + Added autoreconf and dropped 99_autoreconf.dpatch in favor of that.
    + Put patched ltmain.sh in place for --as-needed magic.
  * debian/copyright:
    + Updated and rewritten from scratch using the new copyright format.
  * debian/compat:
    + Bumped to 7
  * debian/MAINTAINERS:
    + Removed, thats what control is for.
  * debian/patches/01_dllmaps.dpatch:
    + Updated to use libgnome-desktop-2-11 instead of libgnome-desktop-2-7.

 -- Mirco Bauer <meebey@debian.org>  Tue, 14 Apr 2009 22:49:58 +0200

gnome-desktop-sharp2 (2.24.0-1) experimental; urgency=low

  [ Steve Langasek ]
  * debian/rules: pass CSC=/usr/bin/csc to configure, for the mono 2.0  
    transition
  * debian/control: update build-dependencies for mono 2.0.
  * debian/rules: set MONO_CAIRO_LIBS=-r:Mono.Cairo to manually provide
    Mono.Cairo build information (instead of using the 1.0-only pkg-config 
    entry)

  [ Sebastian Dröge ]
  * New upstream release:
    + debian/control:
      - Update versions.
      - Add new packages.
      - Update build dependencies.
    + debian/rules:
      - Update API version to 2.24.0.
    + debian/patches/01_dllmaps.dpatch:
      - Update with the new glue libs.
    + debian/*.install:
      - Add new glue libs.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 18 Jan 2009 10:47:35 +0100

gnome-desktop-sharp2 (2.20.1-3) unstable; urgency=low

  * debian/control:
    + Make libgtkhtml3.16-cil, librsvg2-2.18-cil, libgnomedesktop2.20-cil,
      libgtksourceview2-2.0-cil, libwnck2.20-cil and libnautilusburn2.20-cil
      architecture all as they only contain architecture independent files.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 21 Mar 2008 19:15:28 +0100

gnome-desktop-sharp2 (2.20.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Mar 2008 10:20:37 +0100

gnome-desktop-sharp2 (2.20.1-1) experimental; urgency=low

  * New upstream bugfix release:
    + debian/patches/02_vte-pkgconfig.dpatch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Mar 2008 19:36:49 +0100

gnome-desktop-sharp2 (2.20.0-1) experimental; urgency=low

  * New package, based on gnome-sharp2.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 06 Mar 2008 09:16:26 +0100

gnome-sharp2 (2.20.0-1) experimental; urgency=low

  * New upstream release:
    + debian/control:
      - Update build dependencies.
      - Remove rsvg, gtkhtml and vte packages.
      - Update descriptions.
    + debian/librsvg2.0-cil.install,
      debian/libvte2.0-cil.install,
      debian/libgtkhtml2.0-cil.install:
      - Dropped, these are in gnome-desktop-sharp2 now.
    + debian/rules:
      - Update API version to 2.20.0.
    + debian/patches/01_dllmaps.dpatch:
      - Convert 01_glue-locations.dpatch and 02_missing_dllmaps.dpatch into
        a single patch.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 05 Mar 2008 19:50:22 +0100

gnome-sharp2 (2.16.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/control,
      debian/libgnome2.0-cil.install,
      debian/libgconf2.0-cil.install:
      - Move gconf-sharp-peditors to libgnome2.0-cil. It needs all Gnome
        libraries anyway and fits better there.
    + debian/control:
      - Require gtk-sharp >= 2.10.3.
    + patches/99_ltmain_as-needed.dpatch:
      - Update to apply cleanly again.
    + debian/rules:
      - Update clilibs to >= 2.16.1.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 29 Feb 2008 06:40:26 +0100

gnome-sharp2 (2.16.0-10) unstable; urgency=low

  * debian/control:
    + Added Homepage, Vcs-Svn and Vcs-Browser fields.
    + Removed GTK# packages from dependencies of the gnome-sharp2 meta package,
      the gtk-sharp2 meta package does already a good job for that.
    + Updated Standards-Version to 3.7.3, no changes needed.
    + Added names of assemblies in the package long description to aid
      apt-cache searches.
    + Added suggests monodoc-gtk2.0-manual to the library packages.

 -- Mirco Bauer <meebey@debian.org>  Thu, 27 Dec 2007 22:23:43 +0100

gnome-sharp2 (2.16.0-9) unstable; urgency=low

  [ Sebastian Dröge ]
  * debian/rules:
    + Also use -Wl,-z,defs -Wl,-O1 when linking.
  * debian/control:
    + Updated Maintainer to the new Debian CLI Libraries Team.

  [ Mirco Bauer ]
  * debian/control:
    + Added mono-1.0-devel to build-deps, fixes FTBFS.
      (needed since the as mono-mcs package was split)
    + Fixed casing of Gtk+ and Gnome# in package descriptions, as the official
      names are GTK+ and GNOME (uppercase).
    + Using my Debian email address now.
    + Removed unneeded manual binary dependencies of libgnome2.0-cil.
      (those were a left over of a package split transition, Closes: #427925)
  * debian/rules:
    + Use dh_clifixperms instead of find calls.

 -- Mirco Bauer <meebey@debian.org>  Sat, 22 Dec 2007 23:37:18 +0100

gnome-sharp2 (2.16.0-8) unstable; urgency=low

  * debian/rules:
    + Actually pass CFLAGS and LDFLAGS to configure
    + Use --as-needed when linking to get less dependencies.
  * debian/patches/99_ltmain_as-needed.dpatch:
    + Patch used in many Gnome package to reorder the linking
      parameters so --as-needed is actually used.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 04 Dec 2007 13:57:49 +0100

gnome-sharp2 (2.16.0-7) unstable; urgency=low

  * debian/control:
    + Build depend on Gtk# >= 2.10.1-3 to get a rebuild with the newer version.
      This fixes segfaults in several applications on quit.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 07 Aug 2007 17:49:39 +0200

gnome-sharp2 (2.16.0-6) unstable; urgency=low

  * Sebastian 'slomo' Dröge:
    + debian/libgconf2.0-cil.install,
      debian/libgnome2.0-cil.install,
      debian/control:
      - Move the gconf-sharp-peditors libraries from libgnome2.0-cil to
        libgconf2.0-cil as the pkg-config file of gconf-sharp references them.
    + debian/control:
      - Let the metapackage depend on all library packages.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 May 2007 11:05:36 +0200

gnome-sharp2 (2.16.0-5) unstable; urgency=low

  * Sebastian 'slomo' Dröge:
    + debian/control:
      - Add transitional dependencies on the new packages for libgnome2.0-cil.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 09 May 2007 08:11:26 +0200

gnome-sharp2 (2.16.0-4) unstable; urgency=low

  * Sebastian 'slomo' Dröge:
    + debian/control,
      debian/libart2.0-cil.install,
      debian/libgnome-vfs2.0-cil.install,
      debian/libgtkhtml2.0-cil.install,
      debian/librsvg2.0-cil.install:
      - Move the libart, gnomevfs, gtkhtml and rsvg bindings into their own
        packages to prevent unnecessary large dependency chains.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 09 May 2007 07:26:49 +0200

gnome-sharp2 (2.16.0-3) unstable; urgency=low

  * Sebastian 'slomo' Dröge:
    + debian/patches/01_glue-locations.dpatch,
      debian/control:
      - Build against libvte9.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 24 Apr 2007 22:49:55 +0200

gnome-sharp2 (2.16.0-2) unstable; urgency=low

  * Upload to unstable
  * Sebastian 'slomo' Dröge:
    + debian/control:
      - s/2.10/2.16/ These are bindings for Gnome 2.16, not 2.10.
        Thanks to Loic Minier for noticing
      - Remove Dave Beckett from Uploaders by his request
    + debian/patches/01_glue-locations.dpatch:
      - Adjust soname of libvte for the version in unstable

 -- Sebastian Dröge <slomo@debian.org>  Mon, 16 Apr 2007 00:25:41 +0200

gnome-sharp2 (2.16.0-1) experimental; urgency=low

  * Sebastian 'slomo' Dröge:
    + New package based on gtk-sharp2:
      - Gnome and GTK+ bindings split into separate source packages
    + debian/watch:
      - Updated
    + debian/control:
      - Updated Build-Depends
      - Updated to use my debian.org mail address
    + debian/patches/01_glue-locations.dpatch,
      debian/patches/02_missing_dllmaps.dpatch:
      - Updated
    + debian/rules:
      - Bumped clilibs to >= 2.16
    + debian/control,
      debian/libgnome2.0-cil.install,
      debian/libvte2.0-cil.install:
      - Move gapi XML files to their corresponding library packages

 -- Sebastian Dröge <slomo@debian.org>  Wed, 31 Jan 2007 11:04:09 +0100

gtk-sharp2 (2.8.3-2) unstable; urgency=medium

  * Mirco 'meebey' Bauer
    + debian/patches/01_glue-locations.dpatch:
      - Fixed tag closing, caused parse error for dh_clideps (FTBFS).
        (Closes: #390116)
    + debian/patches/02_missing_dllmaps.dpatch:
      - Adds some missing entries in the DLL maps.
    + debian/control:
      - Bumped cli-common-dev build-dep to >= 0.4.6, handles paths now
        correctly in DLL maps.
 
 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sat,  30 Sep 2006 01:16:22 +0200

gtk-sharp2 (2.8.3-1) unstable; urgency=low

  * Sebastian 'slomo' Dröge
    + New upstream release
    + debian/patches/02_workaround-340904.dpatch,
      debian/patches/03_gnomevfs-mimetype-pinvokes.dpatch,
      debian/patches/04_list-to-array-marshalling.dpatch,
      debian/patches/05_gdk-drawable.dpatch,
      debian/patches/06_value-array-smp-free.dpatch:
      - dropped, merged upstream
    + debian/control,
      debian/compat:
      - update debhelper compat level to 5

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun,  9 Jul 2006 23:43:04 +0200

gtk-sharp2 (2.8.2-2) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + Rebuild against Mono 1.1.13.6-3
    + Updated cli-common build-dep to cli-common-dev >= 0.4.0
    + Added libmono-cairo1.0-cil to build-deps.
  * Sebastian 'slomo' Dröge
    + Add myself to Uploaders
    + Update Standards-Version to 3.7.2
    + debian/patches/03_gnomevfs-mimetype-pinvokes.dpatch: (SVN rev 58615)
      - Fix the GnomeVFS MimeType P/Invokes to conform to the
        const/non-const conventions as specified in the gnomevfs headers.
        This fixes a possible double free().
    + debian/patches/04_list-to-array-marshalling.dpatch: (SVN rev 58609)
      - Fix the ListToArray marshalling to respect the owners of the Opaque
        elements.
    + debian/patches/05_gdk-drawable.dpatch:
      - Fix signature of Gdk.Drawable.DrawPoints(). The old version was
        completely wrong and would segfault everything using it.
        http://bugzilla.ximian.com/show_bug.cgi?id=77942
    + debian/patches/06_value-array-smp-free.dpatch:
      - Don't immediately free ValueArrays; queue them up to be freed in the
        main thread by using a Timeout. This fixes SMP deadlocks when the
        GValues contained therein aren't threadsafe (like GDK resources).

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Fri, 14 Apr 2006 12:48:02 +0200

gtk-sharp2 (2.8.2-1) unstable; urgency=low

  * New upstream release

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 12 Mar 2006 01:10:07 +0100

gtk-sharp2 (2.8.1-1) unstable; urgency=low

  * New upstream release
  * Mirco 'meebey' Bauer
    + debian/control:
      - Added missing conflicts/replaces to gtk-sharp2-gapi for
        gtk-sharp2-unstable-gapi.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 12 Feb 2006 22:33:58 +0100

gtk-sharp2 (2.8.0-1) unstable; urgency=low

  * New upstream release
    + This release ships GAC policy files which ensures ABI compatiblity for
      programs that were compiled against GTK# 2.4 and 2.6
  * Mirco 'meebey' Bauer
    + debian/control:
      - Updated package descriptions for 2.8
      - Updated build-deps to use GTK+ 2.8
      - Added ${misc:Depends} where appropriate
    + debian/rules:
      - Updated dh_makeclilibs call for minimum ABI comp version 2.7.90
    + debian/libgconf2.0-cil.install:
      - Added GAC policy files.
    + debian/libglade2.0-cil.install:
      - Added GAC policy files.
    + debian/libglib2.0-cil.install:
      - Added GAC policy files.
    + debian/libgnome2.0-cil.install:
      - Added GAC policy files.
    + debian/libgtk2.0-cil.install:
      - Added GAC policy files.
    + debian/libvte2.0-cil.install:
      - Added GAC policy files.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Thu, 2 Feb 2006 20:08:26 +0100

gtk-sharp2 (2.4.0-2) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + Fixed debian/watch
    + Added debian/02_workaround-340904.dpatch by Andreas Henriksson
      <andreas@fjortis.info> (Closes: #348994):
      - Changed Makefile.(am|in) to solve VTE build problems

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Fri, 20 Jan 2006 11:58:45 +0100

gtk-sharp2 (2.4.0-1) unstable; urgency=low

  * New upstream release
    + This is the final stable release, thus dropping all "unstable version"
      marks in the package descriptions.
  * Mirco 'meebey' Bauer
    + Added missing gtk-dotnet-2.0.pc to libgtk2.0-cil package.
    + Updated all packages descriptions to match what the library binds.
    + Patch by Sebastian 'slomo' Dröge <slomo@ubuntu.com>:
      - Renamed source package to gtk-sharp2 as it's stable now
      - Moved glue libs from /usr/lib into /usr/lib/mono/gtk-sharp-2.0
      - Less stricter clilibs. Upstream guarantees ABI compatibility from now
        on.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 13 Nov 2005 19:53:17 +0100

gtk-sharp2-unstable (2.3.92-2) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + Added missing glib-sharp-2.0.pc to libglib2.0-cil package.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 16 Oct 2005 20:21:39 +0100

gtk-sharp2-unstable (2.3.92-1) unstable; urgency=low

  * New upstream version

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 16 Oct 2005 20:21:39 +0100

gtk-sharp2-unstable (2.3.91-1) unstable; urgency=low

  * New upstream version
    + Upstream bumped version number to 2.3.x so it will match the GTK+ 2.4
      version in the final release.
  * Mirco 'meebey' Bauer
    + Changes for Gtk# 2.3.91 are inspired by the Ubuntu patch
      (thanks to Brandon Hale).
    + gda and gnomedb are not shipped anymore in libgnome2.0-cil, dropped
      upstream.
      - Removed libgda2-dev and libgnomedb2-dev from build-deps.
      - Removed dllmap hack in debian/rules for gda.
    + Shipping gtk-dotnet assemblies in libgtk2.0-cil now. (Closes: #316483)
    + dh_makeclilibs will now generate less strict deps, because with
      2.3.90 the API is now stable. 
    + Updated to Standards Version 3.6.2.1 (no changes).
    + Added monodoc-gtk2.0-manual to "Depends" of gtk-sharp2 meta package.
    + Change arch-field of libvte2.0-cil back to any, it contains now a glue
      library.
    + Updated versioned build-dep of cli-common to >= 0.2.0

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 25 Sep 2005 19:56:04 +0100

gtk-sharp2-unstable (1.9.5-2) unstable; urgency=low

  * Dave Beckett
    + Rebuild against libgtkhtml3.6-dev (Closes: #321560)

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sat, 6 Aug 2005 14:21:04 +0100

gtk-sharp2-unstable (1.9.5-1) unstable; urgency=low

  * upload to unstable
  * New upstream release
  * Mirco 'meebey' Bauer
    + debian/gtk-sharp2-gapi.install:
      - gapi_parser.pl got replaced by gapi-parser.exe
      - added gapi_pp.pl and gapi2xml.pl
    + debian/gtk-sharp2-examples.manpages:
      - created undocumented manpage for gapi2-codegen, gapi2-fixup and
        gapi2-parser
    + debian/gtk-sharp2-gapi.manpages:
      - created undocumented manpage for gtk-sharp2-examples-list
    + debian/libgtk2.0-cil.install:
      - added libpangosharpglue-2.so
    + debian/libvte2.0-cil.install:
      - added libvtesharpglue-2.so
    + added debian/watch file

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 29 May 2005 19:57:32 +0200

gtk-sharp2-unstable (1.9.3-2) experimental; urgency=low

  * Mirco 'meebey' Bauer
    + added monodoc-gtk2.0-manual binary package
      (we generate the Gtk#2 documentation now)
    + updated versioned build-dep of cli-common to >= 0.1.3

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 15 May 2005 19:11:20 +0200

gtk-sharp2-unstable (1.9.3-1) experimental; urgency=low

  * New upstream release
  * Mirco 'meebey' Bauer
    + /usr/share/dotnet to /usr/lib transition
    + merged .files with .install
    + fixed/updated directories/files so it can co-exist with gtk-sharp nicely
    + created gkt-sharp2 metapackage, this way users can easily install the
      whole Gtk# suite.
    + updated versioned build-dep of libgnomedb2-dev to >= 1.2.1
    + added dllmap hack to use libgda-2.so.3 instead of libgda-2.so.1
    + removed "unstable" string from package names.
    + added -l to dh_makeclilibs, making stricter dependencies now
      (the is API not unstable yet)
  * Dave Beckett
    + Rebuild against libgda2-3
    + updated versioned build-dep of libgda2-dev to >= 1.2.1
    + Changed source package name to gtk-sharp2-unstable
    + Switch to experimental
    + Remove not-used Build-Depend on autoconf and automake1.4
    + debian/rules: generate correct clilibs version, directly using main
      version rather than hand-edited hardcoded version
    + Renamed libgtksharpglue-2.0* and libpanelappletsharpglue-2*
      to libgtksharpglue-2* and libpanelappletsharpglue-2* to match upstream.
    + Initial packaging for Gtk# 2.0 based on gtk-sharp source package.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 10 Apr 2005 12:21:40 +0200

gtk-sharp (1.0.2-1) unstable; urgency=low

  * New upstream release
  * Mirco 'meebey' Bauer
    + changed dh_makenetlibs -m 0.93 to 1.0 (to guarantee compability)
    + moved glade.pc to libglade-cil
      (closes: #271873 thanks to Matt Kraai <kraai@ftbfs.org>)

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Thu, 09 Oct 2004 19:21:23 +0200

gtk-sharp (1.0-4) unstable; urgency=low

  * restored accidently deleted links for gapi-fixup and gapi-codegen

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 08 Aug 2004 16:46:43 +0200

gtk-sharp (1.0-3) unstable; urgency=medium

  * Switched to use "stable" libgtkhtml series (closes: #258995)
  * set local MONO_GAC_PREFIX to make package internal dependencies
    resolveable (closes: #258040, #260373)

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 08 Aug 2004 12:30:31 +0200

gtk-sharp (1.0-2) unstable; urgency=low

  * Eduard Bloch
    + Fixed build-depends to fix FTBFS on Powerpc
    + updates to work with libgtkhtml3.1-11 (closes: #259447)
    + depending on a newer version of mono-utils having a better working
      dh_makenetlibs (closes: #258040)

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Thu, 15 Jul 2004 16:13:05 +0200

gtk-sharp (1.0-1) unstable; urgency=low

  * New upstream release
  * Eduard Bloch
    + dependency tunning, suggesting versions >= 0.93 only
    + chmod a-x on example source (closes: #255411)
  * Mirco 'meebey' Bauer
    + debian/rules: fixed .wapi path, added sample/rsvg Makefile hack

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sat, 3 Jul 2004 00:10:15 +0200

gtk-sharp (0.98-2) unstable; urgency=low

  * Eduard Bloch
    + Set strong Build-Dep on libgtkhtml3.1-10 now (in the hope that GNOME
      funsters will keep at least THIS PACKAGE NAME and SONAME for longer than
      few weeks)
    + rewriting gtkhtml-sharp.dll.config to match the new SONAME

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sat, 19 Jun 2004 15:25:35 +0200

gtk-sharp (0.98-1) unstable; urgency=low

  * New upstream release
  * Eduard Bloch
    + integration of the new debhelper-managed dependencies, finaly creating
      proper dependencies between the packages and shared lib (closes: #255163)
    + relaxed the suggested dependencies, the API should be frozen
  * Mirco 'meebey' Bauer
    + added proper Conflicts/Replaces for smooth upgrades from older versions

 --  Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sat, 19 Jun 2004 14:54:01 +0200

gtk-sharp (0.91.1-1) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + new upstream version, fixes FTBFS on powerpc, jit should work
      now (Closes: Bug#244874)
    + new package libvte-cil
    + cleaned up the rules script
    + added pixmap directory for gtk-sharp-examples (Closes: Bug#248295)
    + MonoConvention 0.1.4 conform
  * Eduard Bloch
    + Build-Conflicts: with the broken libart version
    + change to Arch:any packages with splitted glue libs and
      new package names
    + splitted gnome into gnome and glade pkgs

 -- Mirco 'meebey' Bauer <mail@meebey.net>  Tue, 11 May 2004 17:44:20 +0200

gtk-sharp (0.18-2) unstable; urgency=low

  * set the dependency on new monodoc-base or at least old monodoc-browser to
    prevent possible FTBFS (monodoc/assembler.exe needed)
  * explicit build-conflicts with libgtkhtml3.0-2, wrong dependency could be
    set otherwise

 -- Eduard Bloch <blade@debian.org>  Fri,  9 Apr 2004 14:24:20 +0200

gtk-sharp (0.18-1) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + changed Build-Depends to debhelper (>= 4.1.87)
      rules: set DH_COMPAT to 4, added GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
      (closes: Bug#237897 thanks to Anthony W. Juckel for the patch)
    + changed Depends to libgtkhtml3.0-4, 3.0-2 is removed fom the archive
      (closes: Bug#240529, Bug#241392)
    + added gnome-sharp to gtk-sharp-examples dependencies (closes: #240297)
    + new upstream release (closes: Bug#242001)

 -- Mirco 'meebey' Bauer <mail@meebey.net>  Tue, 06 Apr 2004 11:03:39 +0200

gtk-sharp (0.17-1) unstable; urgency=low

  * Mirco 'meebey' Bauer <mail@meebey.net>
    + chmod +x *.exe (according to MonoConventions) (closes #234891)
    + added autoconf and automake1.4 to build-depends
      (closes #233156 thanks to Daniel Schepler for the patch)
    + new upstream release

 -- Mirco 'meebey' Bauer <mail@meebey.net>  Tue, 06 Mar 2004 12:30:10 +0100

gtk-sharp (0.16-2) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + added libxml-libxml-perl dependency  (closes: #234460)

 -- Mirco 'meebey' Bauer <mail@meebey.net>  Tue, 24 Feb 2004 10:37:30 +0100

gtk-sharp (0.16-1) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + added libgail-dev to build-depends.
    + new upstream release 
  * Eduard Bloch
    + moved examples and their source to /usr/share/dotnet/gtk-sharp-examples
    + added script to list them

 -- Mirco 'meebey' Bauer <mail@meebey.net>  Thu, 12 Feb 2004 17:25:33 +0100

gtk-sharp (0.15-2) unstable; urgency=low

  * added more Build-Dependencies to control, in order to build new bindings to
    Gnome2 components (gda, gnomedb, rsvg, gtkhtml)
  * Dependencies cleanup: dropped weird deps on -dev packages, replaced most
    gnome libs with depedencies to the ultimate dependencies harvester:
    libgtkhtml3.0(-dev)

 -- Eduard Bloch <blade@debian.org>  Sun, 18 Jan 2004 19:32:50 +0100

gtk-sharp (0.15-1) unstable; urgency=low

  * added the -gapi package with the same data and desc as their RPM
  * added examples and source in an extra package
  * running autogen.sh at build time

 -- Eduard Bloch <blade@debian.org>  Sat, 17 Jan 2004 20:41:15 +0100

gtk-sharp (0.8-1) unstable; urgency=low

  * New upstream release

 -- Alp Toker <alp@atoker.com>  Mon, 24 Feb 2003 18:21:27 +0000

gtk-sharp (0.7-1) unstable; urgency=low

  * New upstream release
  * Remove Gst# hacks
  * Pass RUNTIME argument to make
  * epochs: just say no

 -- Alp Toker <alp@atoker.com>  Tue, 21 Jan 2003 06:11:27 +0000

gtk-sharp (0.6-1) unstable; urgency=low

  * Gratuitously credited myself in debian/copyright.
  * Added 1: epoch in honour of all those people who tracked these
     gtk-sharp packages through the early days before they had versions
     of their own (and were versioned like Mono releases). Rolled back
     to 0.6-1 accordingly.
  * Total rewrite of debian/rules. Severe crapectomy! Seperated build
     targets for indep/arch. Correct treatment of arch all and arch any
     packages in respective binary-indep/arch targets.
  * Use correctly working DESTDIR instead of broken prefix, removing
     necessity to complain and run configure twice. :P
  * Removed need for gratuitous patchup script, do patching in the
     binary-indep target after building the generator and api dirs.
  * Tweaked descriptions in debian/control & raised standards version.
  * Updated Maintainer to mono@debianplanet.org and added me and alp as 
     Uploaders.
  * Tighten up dependencies on other -sharp packages to include the
     current package version. Never know what's changing or changed, so
     piecemeal upgrades could cause bugs or confusion down the line
     (especially with an unversioned glue lib =).
  * Added build-depends for libtool, autoconf and automake (to
     compensate for bizzarely hosed upstream tarball).
  * Added rm install-sh missing mkinstalldirs depcomp to clean target,
     and switched to maintainer-clean (for same reason).
  * Added Replaces header to glib-sharp for upgrades from old gtk-sharp
    packages.
  * Removed un-necessary .dirs files.
  * Fixed upstream make install targets to make the dirs beforehand.
  * Added gst to DIRS in the makefile so it gets built and installed
     with the rest.
  * Remove sample from DIRS in the makefile to bypass gconf schemas and
     other nonsense.
  * Use -avoid-version with libgtksharpglue to call the library .so and
     avoid symlinks. Add gtk-sharp-glue.files now we're installing
     things properly.
  * Don't ship README. It's not helpful to end users, and it was going
     into the wrong package anyway.
  * Added gtk-sharp-glue deps to glib, gnome and glade. Grepping the
     source shows this to be necessary.
  * Replace glade-sharp (rolled into gnome-sharp) with gconf-sharp which
     is potentially useful without the GNOME UI libs etc. Added
     appropriate Conflicts/Provides/Replaces to gnome-sharp.
  * Ship gconf-sharp-peditors.dll in gnome-sharp package.

 -- Robert McQueen <robot101@debian.org>  Thu, 19 Dec 2002 06:01:55 +0000

gtk-sharp (0.6-5) unstable; urgency=low

  * Fix gnome-sharp files

 -- Alp Toker <alp@atoker.com>  Tue, 17 Dec 2002 15:27:56 +0000

gtk-sharp (0.6-4) unstable; urgency=low

  * Depend on glib-sharp as needed

 -- Alp Toker <alp@atoker.com>  Tue, 17 Dec 2002 14:57:54 +0000

gtk-sharp (0.6-3) unstable; urgency=low

  * Fix the clean target

 -- Alp Toker <alp@atoker.com>  Tue, 17 Dec 2002 14:06:15 +0000

gtk-sharp (0.6-2) unstable; urgency=low

  * Add support for glade-sharp, gnome-sharp, gst-sharp as individual
    packages.

 -- Alp Toker <alp@atoker.com>  Mon, 16 Dec 2002 18:07:17 +0000

gtk-sharp (0.6-1) unstable; urgency=low

  * Initial Release.

 -- Alp Toker <alp@atoker.com>  Sun, 28 Apr 2002 22:10:10 +0100

Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2017 FileWatcher.com